import request from '@/utils/request'
import { exportExcelNew } from '@/utils/filedown'
export function _getTrackingOrders(data) {
  return request({
    url: '/TrackingMore/getTrackingOrders',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _getStatusGroupsDatas(data) {
  return request({
    url: '/TrackingMore/GetStatusGroupsDatas',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _getStatusDailyQtyGroups(data) {
  return request({
    url: '/TrackingMore/GetStatusDailyQtyGroups',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _getLaddingAnalysis(data) {
  return request({
    url: '/TrackingMore/GetLaddingAnalysis',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _getLaddingDestinations() {
  return request({
    url: '/TrackingMore/GetLaddingDestinations',
    method: 'get',
    timeout: 60000
  })
}

export function _getEmail(data) {
  return request({
    url: '/TrackingMore/GetPage',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _reSend(data) {
  return request({
    url: '/TrackingMore/ReSendMail',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _recapture(data) {
  return request({
    url: '/TrackingMore/Recapture',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _getQty(data) {
  return request({
    url: '/TrackingMore/GetQty',
    method: 'post',
    data: data,
    timeout: 60000
  })
}

export function _outNotice(data) {
  return exportExcelNew(process.env.VUE_APP_BASE_API +'/TrackingMore/DownEmailNotice', data, 'post','email')
}


export function _getMetaBaseUrl(data) {
  return request({
    url: '/MetaBase/GetUrl',
    params: data,
    method: 'get',
  })
}